> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/maintenance/index-management.md).

# Index management

Perform manual system upkeep tasks to ensure optimal functionality, such as rebuilding indexes or managing data synchronization.

You can rebuild indexes through [Settings](/reference/settings.md) > [Maintenance](/reference/settings/maintenance.md) > [Index management](/reference/settings/maintenance/index-management.md)

### Search index

Search indexes are used to search for entities, if an entity's index comes out of sync it can cause wrong searches or in more severe cases throw errors in the system.

Clicking 'Rebuild \[entity] index' will start a background task that rebuilds the index for that entity. Rebuilding the index ensures that the system maintains accurate and up-to-date information for entities which in turn ensures optimal and accurate search performance.

### Internal PIM references

Internal PIM references keep track of which items (global list values, assets, products, variants, variant groups and categories) are referenced where.

Clicking 'Rebuild Internal PIM references' will start a background task that rebuilds these references. Rebuilding the references in the PIM are correct.

### Internal names

Internal names are the names shown in the product catalogue and in internal name column headers.&#x20;

Clicking 'Rebuild the generated \[entity] names' will start a background task that rebuilds the internal names of the chosen entity. Rebuilding the internal names ensure that internal names are updated and correct.

### Enrichment insights

Enrichment insights indexes ensure that the systems enrichment insights are up-to-date and accurate. If an entity's enrichment insights index comes out of sync enrichment insights can appear to have wrong completeness and missing data.

Clicking 'Rebuild enrichment insights' for an entity will start a background task that rebuilds the enrichment insight index for that entity. Rebuilding the index makes sure enrichment insights completeness and missing data is correct.

### Identifiers

Identifiers indexes ensure that the systems identifiers are up-to-date and accurate. If an entity's identifiers index comes out of sync it can cause identifiers to appear wrong and cause issues when importing using identifiers.

Clicking 'Rebuild identifiers' for an entity will start a background task that rebuilds the identifier index for that entity.

### Workflows

Workflow indexes ensure that workflow states are up-to-date and accurate for entities. If workflow indexes come out of sync entities can appear to have wrong workflow states.

Clicking 'Rebuild workflow states' will start a background task that rebuilds the workflow index. Rebuilding the index ensures that entity's have their correct workflow states.

### Dynamic categories

Dynamic categories indexes ensure dynamic categories contain the correct entities. If dynamic categories index comes out of sync dynamic categories may contain wrong entities or miss entities that they should contain.

Clicking 'Rebuild workflow states' will start a background task that rebuilds the dynamic categories index. Rebuilding the index ensures that dynamic categories contain the correct entities.

### Cache

Cache keeps frequently accessed data readily available. Instead of having to retrieve data from the main database every time, the PIM can serve caches data which improved performance, reduces database load and speeds up response times.

Clicking 'Clear cache' will clear all data in the cache, meaning it will have to be refreshed by fetching data from the database. Clearing the cache ensures the correct data is served.

### Variant groups

Variant to variant group connections keep track of the connection between variants and variant groups.

Clicking 'Variant to variant group connections' will start a background task that rebuilds the connections between variants and variant groups. Rebuilding this connection ensures all variants are placed under the correct variant groups.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/maintenance/index-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
